
Katello - Bug #7248

Any hammer command which shows progress bar in output will work only for the first time

08/25/2014 11:04 AM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1132676 Red Hat JIRA:  

Pull request: https://github.com/theforeman/hammer-cl

i-foreman-tasks/pull/13

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1132676

Description of problem:

hammer shell failed

Version-Release number of selected component (if applicable):

Version Tested:

GA Snap 6 - Satellite-6.0.4-RHEL-6-20140820.1

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.23-1.el6_5.noarch

candlepin-common-1.0.1-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.23-1.el6_5.noarch

candlepin-tomcat6-0.9.23-1.el6_5.noarch

elasticsearch-0.90.10-6.el6sat.noarch

foreman-1.6.0.41-1.el6sat.noarch

foreman-compute-1.6.0.41-1.el6sat.noarch

foreman-gce-1.6.0.41-1.el6sat.noarch

foreman-libvirt-1.6.0.41-1.el6sat.noarch

foreman-ovirt-1.6.0.41-1.el6sat.noarch

foreman-postgresql-1.6.0.41-1.el6sat.noarch

foreman-proxy-1.6.0.29-1.el6sat.noarch

foreman-selinux-1.6.0.7-1.el6sat.noarch

foreman-vmware-1.6.0.41-1.el6sat.noarch

katello-1.5.0-29.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.6-1.el6sat.noarch

katello-installer-0.0.60-1.el6sat.noarch

openldap-2.4.23-34.el6_5.1.x86_64

openldap-devel-2.4.23-34.el6_5.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-selinux-2.4.0-0.30.beta.el6sat.noarch

pulp-server-2.4.0-0.30.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
How reproducible:

Steps to Reproduce:

1. Create a content view - add repos - publish and promote to three different environments.

2. Login to hammer shell and list the content view [PASS]

1. hammer -u admin -p changeme shell

Welcome to the hammer interactive shell

Type 'help' for usage information

Command completion is disabled on ruby < 1.9 due to compatibility problems.

hammer> content-view info --id=19

ID:                 19

Name:               testenvbugcv

Label:              testenvbugcv

Composite:

Description:

Content Host Count:

Organization:       rhcorp

Repositories:

1) ID:    143

Name:  testenvbugrepo

Label: testenvbugrepo

Puppet Modules:

Environments:

1) ID:   4

Name: QE

2) ID:   3

Name: DEV

3) ID:   2

Name: Library

Versions:

1) ID:        17

Version:   2

Published: 2014/08/21 14:13:17

2) ID:        18

Version:   3

Published: 2014/08/21 15:54:19

3. remove from environment- DEV [PASS]

hammer> content-view remove-from-environment --id 19 --lifecycle-environment DEV --organization-id 3

[....................................................................................] [100%]

Task 7994bdb7-3781-4cfc-be95-fc454a03c9a0: success

4. remove from environment - QE [FAIL]

hammer> content-view remove-from-environment --id 19 --lifecycle-environment QE --organization-id 3

Could not remove the content view from environment:

Error: The server does not support such operation.

5. exit hammer shell [PASS]

hammer> exit

6. Try to remove enviroment - QE without using hammer shell: [PASS]

1. hammer -p changeme content-view remove-from-environment --id=19 --lifecycle-environment=QE --organization-id=3

[....................................................................................] [100%]

Task 807df8a9-eb1e-44ee-a252-4519be66909f: success

Actual results:

Step 4 failed above

Expected results:

Step 4 should PASS since Step 6 PASSED

Additional info:
History

#1 - 08/25/2014 11:11 AM - David Davis

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/hammer-cli-foreman-tasks/pull/13 added

- Pull request deleted ()

#2 - 08/27/2014 09:23 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/29/2014 10:05 AM - David Davis

- Status changed from Ready For Testing to Closed

#4 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
